/* ***** BEGIN LICENSE BLOCK *****
 * Version: GPL 2.0
 *
 * The contents of this file are subject to the GNU General Public
 * License Version 2 or later (the "GPL").
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Initial Developer of the Original Code is
 *   MiniG.org project members
 *
 * ***** END LICENSE BLOCK ***** */

package fr.aliasource.webmail.book;

import java.util.List;

import fr.aliasource.webmail.proxy.ProxyConfiguration;

public interface IAddressCollector {
	
	/**
	 * Called before any other method on the object
	 */
	void init(ProxyConfiguration pcf);

	/**
	 * Only init is allowed after this call.
	 */
	void shutdown();

	public void collectContacts(String userId, String userPassword, List<MinigContact> contacts) throws AddressCollectException;

}
