package fr.aliasource.webmail.common.message;

import java.io.IOException;
import java.io.InputStream;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.minig.imap.mime.IMimePart;
import org.minig.imap.mime.MimeMessage;
import org.obm.mail.conversation.MailMessage;
import org.obm.mail.imap.StoreException;
import org.obm.mail.message.AbstractMessageFetcherImpl;

import fr.aliasource.webmail.common.imap.IStoreConnection;

public class MessageFetcherImpl extends AbstractMessageFetcherImpl {

	private static final Log logger = LogFactory.getLog(MessageFetcherImpl.class);
	private final IStoreConnection protocol;
	
	public MessageFetcherImpl(IStoreConnection protocol) {
		this.protocol = protocol;
	}

	@Override
	protected InputStream uidFetchPart(MimeMessage message, String part) {
		InputStream inputStream = null;
		try {
			inputStream = protocol.uidFetchPart(message.getUid(), part);
		} catch (IOException e) {
		} catch (StoreException e) {
		}
		return inputStream;
	}

	@Override
	protected InputStream uidFetchPart(MimeMessage message, IMimePart mimePart) {
		InputStream inputStream = null;
		try {
			inputStream = protocol.uidFetchPart(message.getUid(), mimePart.getAddress().toString());
		} catch (IOException e) {
			logger.error(e);
		} catch (StoreException e) {
			logger.error(e);
		}
		return inputStream;
		
	}

	@Override
	protected InputStream uidFetchPart(MailMessage message, IMimePart mimePart) {
		InputStream inputStream = null;
		try {
			inputStream = protocol.uidFetchPart(message.getUid(), mimePart.getAddress().toString());
		} catch (IOException e) {
			logger.error(e);
		} catch (StoreException e) {
			logger.error(e);
		}
		return inputStream;
	}
	
	
}