package fr.aliasource.webmail.common.message;

import java.util.List;

import org.minig.imap.IMAPHeaders;
import org.minig.imap.mime.MimeMessage;
import org.obm.mail.conversation.MailMessage;
import org.obm.mail.message.MessageFetcher;

import com.google.common.collect.ImmutableList;

import fr.aliasource.webmail.common.IAccount;
import fr.aliasource.webmail.common.MailHeadersFilter;

public class MessageLoader extends org.obm.mail.message.MessageLoader {
	
	private List<MailHeadersFilter> headersFilters; 
	private IAccount account;
	
	public MessageLoader(MessageFetcher messageFetcher, List<String> mimeSubtypeInPriorityOrder, boolean bodyOnly, MimeMessage message) {
		super(messageFetcher, mimeSubtypeInPriorityOrder, bodyOnly, message);
		this.headersFilters = ImmutableList.of();
	}
	
	protected void filterHeaders(MailMessage mm, IMAPHeaders h) {
		for (MailHeadersFilter filter: headersFilters) {
			filter.filter(h, mm, account);
		}
	}
	
	public void setHeadersFilters(List<MailHeadersFilter> headersFilters, IAccount account) {
		this.headersFilters = headersFilters;
		this.account = account;
	}
}