package org.minig.mailinglist;

import java.util.List;


import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.minig.obmsync.exception.ObmSyncConnectionException;
import org.minig.obmsync.service.IMailingListService;
import org.minig.obmsync.service.MailingListService;
import org.minig.obmsync.service.MinigMLEmail;
import org.minig.obmsync.service.MinigMailingList;

import fr.aliasource.webmail.common.IAccount;
import fr.aliasource.webmail.common.IParameterSource;
import fr.aliasource.webmail.proxy.IControlledAction;
import fr.aliasource.webmail.proxy.ProxyConfiguration;

public abstract class AbstractMailingListAction implements IControlledAction {

	protected static final Log logger = LogFactory
			.getLog(MailingListItemsParser.class);
	
	private MailingListItemsParser parser;
	protected MailingListItemsWriter writer;

	public AbstractMailingListAction() {
		this.writer = new MailingListItemsWriter();
		this.parser = new MailingListItemsParser();
	}

	@Override
	public void init(ProxyConfiguration pcf) {
	}

	protected IMailingListService getMailingListService(IAccount account)
			throws ObmSyncConnectionException {
		return new MailingListService(account);
	}

	protected List<MinigMLEmail> getEmails(IParameterSource req) {
		String emails = req.getParameter("emails");
		return parser.parseMailingListEmails(emails);
	}

	protected Integer getMailingListId(IParameterSource req) {
		String mailingListId = req.getParameter("mailingListId");
		Integer ret = null;
		try {
			ret = Integer.parseInt(mailingListId);
		} catch (Throwable e) {
		}
		return ret;
	}
	
	protected Integer getMailingListEmailId(IParameterSource req) {
		String mailingListId = req.getParameter("mailingListEmailId");
		Integer ret = null;
		try {
			ret = Integer.parseInt(mailingListId);
		} catch (Throwable e) {
		}
		return ret;
	}
	
	protected MinigMailingList getMailingList(IParameterSource req) throws Exception {
		String mailingList = req.getParameter("mailingList");
		return parser.parseMailingList(mailingList);
	}
}