package org.minig.mailinglist;

import java.util.List;

import org.minig.obmsync.service.IMailingListService;
import org.minig.obmsync.service.MinigMLEmail;

import fr.aliasource.webmail.common.IAccount;
import fr.aliasource.webmail.common.IParameterSource;
import fr.aliasource.webmail.proxy.api.IProxy;
import fr.aliasource.webmail.proxy.api.IResponder;

public class AddEmailsAction extends AbstractMailingListAction {

	@Override
	public String getUriMapping() {
		return "/mailinglist/addemails.do";
	}

	@Override
	public void execute(IProxy p, IParameterSource req, IResponder responder) {
		IAccount account = p.getAccount();
		try {
			Integer mlId = getMailingListId(req);
			List<MinigMLEmail> emails = getEmails(req);
			IMailingListService mlService = getMailingListService(account);
			List<MinigMLEmail> ret = mlService.addEmails(mlId, emails);
			responder.sendDom(writer.getMailingListEmailsAsXML(ret));
		} catch (Exception e) {
			logger.error(e.getMessage(), e);
		}
	}
}