package org.minig.mailinglist;

import org.minig.obmsync.service.IMailingListService;
import org.minig.obmsync.service.MinigMailingList;

import fr.aliasource.webmail.common.IAccount;
import fr.aliasource.webmail.common.IParameterSource;
import fr.aliasource.webmail.proxy.api.IProxy;
import fr.aliasource.webmail.proxy.api.IResponder;

public class CreateMailingListAction extends AbstractMailingListAction {

	@Override
	public String getUriMapping() {
		return "/mailinglist/createmailinglist.do";
	}

	@Override
	public void execute(IProxy p, IParameterSource req, IResponder responder) {
		IAccount account = p.getAccount();
		try {
			MinigMailingList ml = getMailingList(req);
			IMailingListService mlService = getMailingListService(account);
			MinigMailingList ret = mlService.createMailingList(ml);
			responder.sendDom(writer.getMailingListsAsXML(ret));
		} catch (Exception e) {
			logger.error(e.getMessage(), e);
		}
	}
}