package org.minig.mailinglist;

import org.minig.obmsync.service.IMailingListService;
import org.minig.obmsync.service.MinigMailingList;

import fr.aliasource.webmail.common.IParameterSource;
import fr.aliasource.webmail.proxy.api.IProxy;
import fr.aliasource.webmail.proxy.api.IResponder;

public class GetMailingListFromIdAction  extends AbstractMailingListAction {


	@Override
	public String getUriMapping() {
		return "/mailinglist/getmailinglistfromid.do";
	}

	@Override
	public void execute(IProxy p, IParameterSource req, IResponder responder) {
		try {
			Integer mlId = getMailingListId(req);
			IMailingListService mlService = getMailingListService(p.getAccount());
			
			MinigMailingList ret = mlService.getMailingListFromId(mlId);
			responder.sendDom(writer.getMailingListsAsXML(ret));
		} catch (Exception e) {
			logger.error(e.getMessage(), e);
		}
	}

	
}
