package org.minig.mailinglist;

import java.util.List;

import org.minig.obmsync.service.IMailingListService;
import org.minig.obmsync.service.MinigMailingList;

import fr.aliasource.webmail.book.IMinigContact;
import fr.aliasource.webmail.common.IParameterSource;
import fr.aliasource.webmail.proxy.api.IProxy;
import fr.aliasource.webmail.proxy.api.IResponder;

public class ListAllMailingListAction extends AbstractMailingListAction {

	@Override
	public String getUriMapping() {
		return "/mailinglist/listallmailinglist.do";
	}

	@Override
	public void execute(IProxy p, IParameterSource req, IResponder responder) {
		try {
			IMailingListService mlService = getMailingListService(p
					.getAccount());
			List<IMinigContact> ret = mlService.listAllMailingList();
			responder.sendDom(writer.getMailingListsAsXML(ret
					.toArray(new MinigMailingList[ret.size()])));
		} catch (Exception e) {
			logger.error(e.getMessage(), e);
		}
	}

}
