package org.minig.mailinglist;

import org.minig.obmsync.service.IMailingListService;

import fr.aliasource.webmail.common.IParameterSource;
import fr.aliasource.webmail.proxy.api.IProxy;
import fr.aliasource.webmail.proxy.api.IResponder;


public class RemoveEmailAction extends AbstractMailingListAction {

	@Override
	public String getUriMapping() {
		return "/mailinglist/removeemail.do";
	}

	@Override
	public void execute(IProxy p, IParameterSource req, IResponder responder) {
		try {
			Integer mlId = getMailingListId(req);
			Integer mlEmailId = getMailingListEmailId(req);
			IMailingListService mlService = getMailingListService(p.getAccount());
			mlService.removeEmail(mlId, mlEmailId);
		} catch (Exception e) {
			logger.error(e.getMessage(), e);
		}
	}

}
