package org.minig.obmsync.provider.impl;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.obm.sync.auth.AccessToken;
import org.obm.sync.client.impl.AbstractClientImpl;

public abstract class AbstractProvider<T extends AbstractClientImpl> {
	
	protected final Log logger = LogFactory.getLog(getClass());
	protected T client;
	
	public  AbstractProvider(T client) {
		this.client = client;
	}
	
	protected AccessToken token;

	public void login(String userId, String userPassword) {
		this.token = client.login(userId, userPassword, "minig");
	}

	public void logout() {
		if(this.token != null){
			client.logout(token);
		}
	}
	
	public AccessToken getToken() {
		return token;
	}
}
