package org.minig.obmsync.provider.impl;

import java.util.Map;

import org.obm.sync.auth.AuthFault;
import org.obm.sync.auth.ServerFault;
import org.obm.sync.client.setting.SettingClient;
import org.obm.sync.setting.ForwardingSettings;
import org.obm.sync.setting.VacationSettings;

public class ObmSyncSettingProvider extends AbstractProvider<SettingClient> {

	public ObmSyncSettingProvider(SettingClient client) {
		super(client);
	}

	public Map<String, String> getSettings() throws AuthFault, ServerFault {
		return client.getSettings(token);
	}

	public ForwardingSettings getEmailForwarding() throws AuthFault,
			ServerFault {
		return client.getEmailForwarding(token);
	}

	public VacationSettings getVacationSettings() throws AuthFault, ServerFault {
		return client.getVacationSettings(token);
	}

	public void setEmailForwarding(ForwardingSettings fs) throws AuthFault,
			ServerFault {
		client.setEmailForwarding(token, fs);
	}

	public void setVacationSettings(VacationSettings vs) throws AuthFault,
			ServerFault {
		client.setVacationSettings(token, vs);
	}

}
