package fr.aliasource.webmail.client.addressbook;

import java.util.HashMap;
import java.util.Map;
import java.util.Set;
import java.util.SortedSet;
import java.util.TreeSet;

import com.google.gwt.user.client.rpc.AsyncCallback;

import fr.aliasource.webmail.client.I18N;
import fr.aliasource.webmail.client.shared.ContactGroup;

public abstract class ContactGroupAsyncCallback implements AsyncCallback<ContactGroup[]>{
	
	private static Map<String, String> i18nStrings;

	static {
		i18nStrings = new HashMap<String, String>();
		i18nStrings.put("agregate:all", I18N.strings.myContactsGroup());
		i18nStrings.put("obm_database:collected_contacts",
				I18N.strings.collectedAddresses());
		i18nStrings.put("obm_database:contacts", I18N.strings.obmPrivateGroup());
		i18nStrings.put("obm_database:public_contacts",
				I18N.strings.obmPublicGroup());
		i18nStrings.put("obm_ldap:obm_ldap_all", I18N.strings.obmLdapGroup());
	}

	@Override
	public void onSuccess(ContactGroup[] arg0) {
		SortedSet<ContactGroup> ret = new TreeSet<ContactGroup>();
		for(ContactGroup g : arg0){
			String key = g.getOrigin().asString() + ":" + g.getDisplayName();
			if (i18nStrings.containsKey(key)) {
				g.setDisplayName( i18nStrings.get(key));
			}
			ret.add(g);
		}
		onSuccess(ret);
	}
	public abstract void onSuccess(Set<ContactGroup> arg0);
	
}
