package fr.aliasource.webmail.client.composer.contacts;

import java.util.Set;

import com.google.gwt.event.dom.client.ClickHandler;
import com.google.gwt.user.client.ui.Button;
import com.google.gwt.user.client.ui.DialogBox;
import com.google.gwt.user.client.ui.FlowPanel;

import fr.aliasource.webmail.client.I18N;
import fr.aliasource.webmail.client.View;
import fr.aliasource.webmail.client.shared.book.UiDisplayEmail;

public class ChooseContactsPopup extends DialogBox{
	
	private static final String CSS_BUTTON = "chooseContactsPopupButton";
	
	private Button valid;
	private Button cancel;
	private ChooseContactsPanel choose;
	
	public ChooseContactsPopup(View ui) {
		this.setText(I18N.strings.chooseContacts());
		FlowPanel t = new FlowPanel();
		
		choose = new ChooseContactsPanel(ui);
		t.add(choose);
		
		valid = new Button(I18N.strings.ok());
		valid.addStyleName(CSS_BUTTON);
		t.add(valid);
		
		cancel = new Button(I18N.strings.cancel());
		cancel.addStyleName(CSS_BUTTON);
		t.add(cancel);
		setModal(false);
		this.add(t);
		this.addStyleName("chooseContactsPopup");
	}
	
	public void show(Set<UiDisplayEmail> emails) {
		choose.setRecipients(emails);
		super.show();
	}

	public void center(Set<UiDisplayEmail> emails) {
		choose.setRecipients(emails);
		super.center();
		
	}

	public void clean(){
		choose.clean();
	}
	
	public Set<UiDisplayEmail> getRecipients(){
		return choose.getRecipients();
	}
	
	public void addValidationHandler(ClickHandler click){
		valid.addClickHandler(click);
	}
	
	public void addCancellationHandler(ClickHandler click){
		cancel.addClickHandler(click);
	}
}
