package fr.aliasource.webmail.client.composer.contacts;

import com.google.gwt.event.shared.GwtEvent;

import fr.aliasource.webmail.client.shared.book.UiDisplayEmail;

public class SelectContactEvent extends GwtEvent<SelectContactHandler> {
	
	public enum Selection {
		Select, Deselect;
	}
	
	private UiDisplayEmail email;
	private String displayName;
	private Selection selection;
	
	public SelectContactEvent(UiDisplayEmail email, Selection selection){
		super();
		this.email = email;
		this.selection = selection;
	}
	
	private static final Type<SelectContactHandler> TYPE = new Type<SelectContactHandler>();
	
	public static Type<SelectContactHandler> getType() {
		return TYPE;
	}

	@Override
	public GwtEvent.Type<SelectContactHandler> getAssociatedType() {
		return TYPE;
	}

	@Override
	protected void dispatch(SelectContactHandler handler) {
		handler.onSelectContact(this);
	}

	public UiDisplayEmail getEmail() {
		return email;
	}

	public String getDisplayName() {
		return displayName;
	}

	public Selection getSelection() {
		return selection;
	}
}
