/* ***** BEGIN LICENSE BLOCK *****
 * Version: GPL 2.0
 *
 * The contents of this file are subject to the GNU General Public
 * License Version 2 or later (the "GPL").
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Initial Developer of the Original Code is
 *   MiniG.org project members
 *
 * ***** END LICENSE BLOCK ***** */

package fr.aliasource.webmail.client.rpc.mailinglist;

import java.util.List;

import com.google.gwt.user.client.rpc.RemoteService;
import com.google.gwt.user.client.rpc.RemoteServiceRelativePath;

import fr.aliasource.webmail.client.shared.EmailAddress;
import fr.aliasource.webmail.client.shared.book.UIMailingList;

@RemoteServiceRelativePath("mailingList")
public interface MailingListManager extends RemoteService {

	UIMailingList[] listAllMailingList();

	UIMailingList createMailingList(UIMailingList mailingList);

	UIMailingList modifyMailingList(UIMailingList mailingList);

	void removeMailingList(Integer id);

	UIMailingList getMailingListFromId(Integer id);

	EmailAddress[] addEmails(Integer mailingListId, List<EmailAddress> email);

	void removeEmail(Integer mailingListId, Integer emailId);
}
