/* ***** BEGIN LICENSE BLOCK *****
 * Version: GPL 2.0
 *
 * The contents of this file are subject to the GNU General Public
 * License Version 2 or later (the "GPL").
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Initial Developer of the Original Code is
 *   MiniG.org project members
 *
 * ***** END LICENSE BLOCK ***** */

package fr.aliasource.webmail.client.rpc.mailinglist;

import java.util.List;

import com.google.gwt.user.client.rpc.AsyncCallback;

import fr.aliasource.webmail.client.shared.EmailAddress;
import fr.aliasource.webmail.client.shared.book.UIMailingList;

public interface MailingListManagerAsync {

	void addEmails(Integer mailingListId,
			List<EmailAddress> email, AsyncCallback<EmailAddress[]> callback);

	void createMailingList(UIMailingList mailingList,
			AsyncCallback<UIMailingList> callback);

	void getMailingListFromId(Integer id, AsyncCallback<UIMailingList> callback);

	void listAllMailingList(AsyncCallback<UIMailingList[]> callback);

	void modifyMailingList(UIMailingList mailingList,
			AsyncCallback<UIMailingList> callback);

	void removeEmail(Integer mailingListId, Integer emailId,
			AsyncCallback<Void> callback);

	void removeMailingList(Integer id, AsyncCallback<Void> callback);
}
