package fr.aliasource.webmail.client.shared;

import fr.aliasource.webmail.client.shared.book.UiContact;

/**
 * 
 * @author "Matthieu Laborie <laborima@gmail.com>"
 *
 */
public class DisplayNameUtils {

	public static String formatName(String firstName, String lastName, String email){
		StringBuilder ret = new StringBuilder();
		// last filled & maybe first
		if (!empty(lastName)) {
			ret.append(lastName);
			if (!empty(firstName)) {
				ret.append(' ');
				ret.append(firstName);
			}
		} else if (!empty(firstName)) { // last empty, first filled
			ret.append(firstName);
		} else { // both are empty
			ret.append(email);
		}
		
		return ret.toString();
	}
	

	
	private static boolean empty(String s) {
		return s == null || s.trim().length() == 0;
	}



	public static String formatName(UiContact contact, String email) {
		StringBuilder ret = new StringBuilder();
		ret.append(contact.getDisplayName());
        ret.append(" <"+email+">");

		
		return ret.toString();
	}
	
}
