package fr.aliasource.webmail.client.shared.book;

import java.io.Serializable;
import java.util.LinkedList;
import java.util.List;

import fr.aliasource.webmail.client.shared.EmailAddress;

public class UIMailingList extends AbstractUIContact implements Serializable{

	/**
	 * 
	 */
	private static final long serialVersionUID = 7071260076700566941L;
	
	private Integer id;
	private String name;
	private List<EmailAddress> emails;
	
	public UIMailingList() {
		emails = new LinkedList<EmailAddress>();
	}

	public UIMailingList(String name, Integer id) {
		this.name = name;
		this.id = id;
	}


	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}
	
	public List<EmailAddress> getEmails() {
		return emails;
	}

	public void addEmail(EmailAddress email) {
		this.emails.add(email);
	}
	

	public void addEmails(List<EmailAddress> emails) {
		this.emails.addAll(emails);
	}
	
	public void setEmails(List<EmailAddress> emails) {
		this.emails = emails;
		
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((emails == null) ? 0 : emails.hashCode());
		result = prime * result + ((id == null) ? 0 : id.hashCode());
		result = prime * result + ((name == null) ? 0 : name.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		UIMailingList other = (UIMailingList) obj;
		if (emails == null) {
			if (other.emails != null)
				return false;
		} else if (!emails.equals(other.emails))
			return false;
		if (id == null) {
			if (other.id != null)
				return false;
		} else if (!id.equals(other.id))
			return false;
		if (name == null) {
			if (other.name != null)
				return false;
		} else if (!name.equals(other.name))
			return false;
		return true;
	}

	@Override
	public String toString() {
		StringBuilder ret = new StringBuilder();
		ret.append("MailingList ");
		ret.append(name);
		ret.append("' (");
		ret.append(id);
		ret.append(")\n");
		for(EmailAddress e : emails){
			ret.append("	");
			ret.append(e.toString());
			ret.append("\n");
		}
		
		return ret.toString();
	}

	@Override
	public String getDisplayName() {
		return name;
	}

	
}
