/* ***** BEGIN LICENSE BLOCK *****
 * Version: GPL 2.0
 *
 * The contents of this file are subject to the GNU General Public
 * License Version 2 or later (the "GPL").
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Initial Developer of the Original Code is
 *   MiniG.org project members
 *
 * ***** END LICENSE BLOCK ***** */

package fr.aliasource.webmail.server;

import java.util.List;

import fr.aliasource.webmail.client.rpc.mailinglist.MailingListManager;
import fr.aliasource.webmail.client.shared.EmailAddress;
import fr.aliasource.webmail.client.shared.book.UIMailingList;

public class MailingListManagerImpl extends SecureAjaxCall implements
		MailingListManager {
	/**
	 * 
	 */
	private static final long serialVersionUID = -4222284488727912843L;

	@Override
	public UIMailingList[] listAllMailingList(){
		return getAccount().getMailingListMethods().listAllMailingList().toArray(new UIMailingList[0]);
	}

	@Override
	public UIMailingList createMailingList(UIMailingList mailingList){
		return getAccount().getMailingListMethods().createMailingList(mailingList);
	}

	@Override
	public UIMailingList modifyMailingList(UIMailingList mailingList){
		return getAccount().getMailingListMethods().modifyMailingList(mailingList);
	}

	@Override
	public void removeMailingList(Integer id) {
		getAccount().getMailingListMethods().removeMailingList(id);
	}

	@Override
	public UIMailingList getMailingListFromId(Integer id)  {
		return getAccount().getMailingListMethods().getMailingListFromId(id);
	}

	@Override
	public EmailAddress[] addEmails(Integer mailingListId,
			List<EmailAddress> email) {
		return getAccount().getMailingListMethods().addEmails(mailingListId, email).toArray(new EmailAddress[0]);
	}

	@Override
	public void removeEmail(Integer mailingListId, Integer emailId) {
		getAccount().getMailingListMethods().removeEmail(mailingListId, emailId);
	}

}
