/* ***** BEGIN LICENSE BLOCK *****
 * Version: GPL 2.0
 *
 * The contents of this file are subject to the GNU General Public
 * License Version 2 or later (the "GPL").
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Initial Developer of the Original Code is
 *   MiniG.org project members
 *
 * ***** END LICENSE BLOCK ***** */

package fr.aliasource.webmail.server.proxy.client.http.mailinglist;

import org.apache.commons.httpclient.HttpClient;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import fr.aliasource.webmail.server.proxy.client.http.AbstractClientMethod;
import fr.aliasource.webmail.server.proxy.client.http.filters.MailingListItemsParser;
import fr.aliasource.webmail.server.proxy.client.http.filters.MailingListItemsWriter;

public abstract class AbstractMailingListMethod extends AbstractClientMethod {

	protected static final Log logger = LogFactory
			.getLog(MailingListItemsParser.class);
	
	protected MailingListItemsWriter writer;
	protected MailingListItemsParser parser;
	
	protected String token;

	protected AbstractMailingListMethod(HttpClient hc, String backendUrl,
			String action) {
		super(hc, backendUrl, "/mailinglist" + action);
		this.token = backendUrl;
		this.writer = new MailingListItemsWriter();
		this.parser = new MailingListItemsParser();
	}

}
