package fr.aliasource.webmail.server.proxy.client.http.mailinglist;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

import org.apache.commons.httpclient.HttpClient;
import org.w3c.dom.Document;

import fr.aliasource.webmail.client.shared.EmailAddress;
import fr.aliasource.webmail.server.proxy.client.http.DOMUtils;

public class AddEmailsMethod extends AbstractMailingListMethod {

	protected AddEmailsMethod(HttpClient hc, String token, String backendUrl) {
		super(hc, backendUrl, "/addemails.do");
		this.token = token;
	}

	public List<EmailAddress> addEmails(Integer mailingListId,
			List<EmailAddress> emails) {
		Map<String, String> params = initParams(token);
		params.put("mailingListId", "" + mailingListId);
		params.put("emails", writer.getMailingListEmailsAsString(emails));
		
		Document doc = execute(params);
		if (doc != null) {
			if (logger.isDebugEnabled()) {
				DOMUtils.logDom(doc);
			}
			return parser.parseMailingListEmails(doc);
		}
		return new ArrayList<EmailAddress>(0);
	}
}
