package fr.aliasource.webmail.server.proxy.client.http.mailinglist;

import java.util.Map;

import org.apache.commons.httpclient.HttpClient;
import org.w3c.dom.Document;

import fr.aliasource.webmail.client.shared.book.UIMailingList;
import fr.aliasource.webmail.server.proxy.client.http.DOMUtils;

public class CreateMailingListMethod extends AbstractMailingListMethod{


	public CreateMailingListMethod(HttpClient hc, String token,
			String backendUrl) {	
		super(hc, backendUrl, "/createmailinglist.do");
		this.token = token;
	}

	public UIMailingList createMailingList(UIMailingList mailingList) {
		Map<String, String> params = initParams(token);
		params.put("mailingList", writer.getMailingListsAsString(mailingList));

		Document doc = execute(params);
		if (doc != null) {
			if (logger.isDebugEnabled()) {
				DOMUtils.logDom(doc);
			}
			return parser.parseMailingList(doc.getDocumentElement());
		}
		return null;
	}

}
