package fr.aliasource.webmail.server.proxy.client.http.mailinglist;

import java.util.Map;

import org.apache.commons.httpclient.HttpClient;
import org.w3c.dom.Document;

import fr.aliasource.webmail.client.shared.book.UIMailingList;
import fr.aliasource.webmail.server.proxy.client.http.DOMUtils;

public class GetMailingListFromIdMethod  extends AbstractMailingListMethod{


	public GetMailingListFromIdMethod(HttpClient hc, String token,
			String backendUrl) {
		super(hc, backendUrl, "/getmailinglistfromid.do");
		this.token=token;
		
	}

	public UIMailingList getMailingListFromId(Integer id) {
		Map<String, String> params = initParams(token);
		params.put("mailingListId", "" + id);
		
		Document doc = execute(params);
		if (doc != null) {
			if (logger.isDebugEnabled()) {
				DOMUtils.logDom(doc);
			}
			return parser.parseMailingList(doc.getDocumentElement());
		}
		return null;
	}

}
