package fr.aliasource.webmail.server.proxy.client.http.mailinglist;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

import org.apache.commons.httpclient.HttpClient;
import org.w3c.dom.Document;

import fr.aliasource.webmail.client.shared.book.UIMailingList;
import fr.aliasource.webmail.server.proxy.client.http.DOMUtils;

public class ListAllMailingListMethod  extends AbstractMailingListMethod{

	protected ListAllMailingListMethod(HttpClient hc, String token, String backendUrl) {
		super(hc, backendUrl, "/listallmailinglist.do");
		this.token = token;
	}

	public List<UIMailingList> listAllMailingList() {
		Map<String, String> params = initParams(token);
		
		Document doc = execute(params);
		if (doc != null) {
			if (logger.isDebugEnabled()) {
				DOMUtils.logDom(doc);
			}
			return parser.parseListMailingList(doc);
		}
		return new ArrayList<UIMailingList>(0);
	}

}
